# osgText Namespace Reference

The osgText is a NodeKit library that extends the core scene graph to support high quality text. More...

## Classes

class | Font
| Pure virtual base class for fonts. More...
class | String
class | Text

## Enumerations

enum | KerningType { KERNING_DEFAULT, KERNING_UNFITTED, KERNING_NONE }

## Functions

OSGTEXT_EXPORT Font * | readFontFile (const std::string &filename)
| read a font from specified file.

## Variables

typedef std::vector< unsigned int > | VectorUInt

## Detailed Description

The osgText is a NodeKit library that extends the core scene graph to support high quality text.

## Enumeration Type Documentation

enum osgText::KerningType

Enumeration values:

  KERNING_DEFAULT |
  KERNING_UNFITTED |
  KERNING_NONE |

## Function Documentation

osgText::Font * osgText::readFontFile | ( | const std::string & | filename | ) |

| read a font from specified file.

## Variable Documentation

class typedef std::vector<unsigned int> osgText::VectorUInt